﻿using Celeste;
using Microsoft.Xna.Framework;
using Monocle;
using MonoMod.Utils;
using System;
using System.Collections;
using Celeste.Mod.Entities;
using System.Reflection;

namespace Celeste.Mod.HonlyEndscren
{
    public class HonlyEndscrensLevelExit : Scene
    {
        public static void Load()
        {
            On.Celeste.LevelExit.Begin += Begin;
        }

        public static void Unload()
        {
            On.Celeste.LevelExit.Begin -= Begin;
        }

        public static void Begin(On.Celeste.LevelExit.orig_Begin orig, LevelExit self)
        {
            DynData<LevelExit> selfData = new DynData<LevelExit>(self);
            LevelExit.Mode mode = selfData.Get<LevelExit.Mode>("mode");
            Session session = selfData.Get<Session>("session");

            orig(self);

            if (mode == LevelExit.Mode.Completed && session.Area.ID == 2)
            {
                Audio.SetMusic("event:/HonlyEndscren/complete_area_but_caramelldansen");
            }
        }
    }
}
